Skip to content

Webhooks / Lambdas API

Endpoints for executing serverless functions (lambdas) and webhooks through Qelos integrations. Each integration is identified by its integration ID.

SDK equivalent: sdk.lambdas

Execute (POST)

Execute a webhook or lambda function using POST.

POST /api/webhooks/{integrationId}

Path Parameters

ParameterTypeDescription
integrationIdstringThe integration identifier

Request Body

Any valid JSON payload to pass to the function.

json
{
  "action": "process",
  "data": { "key": "value" }
}

Response

Returns the function's response. The shape depends on the lambda implementation.

SDK: sdk.lambdas.post(integrationId, data)


Execute (GET)

Execute a webhook or lambda function using GET.

GET /api/webhooks/{integrationId}

Path Parameters

ParameterTypeDescription
integrationIdstringThe integration identifier

Response

Returns the function's response.

SDK: sdk.lambdas.get(integrationId, data)


Execute (PUT)

Execute a webhook or lambda function using PUT.

PUT /api/webhooks/{integrationId}

Path Parameters

ParameterTypeDescription
integrationIdstringThe integration identifier

Request Body

Any valid JSON payload to pass to the function.

Response

Returns the function's response.

SDK: sdk.lambdas.put(integrationId, data)


Execute (DELETE)

Execute a webhook or lambda function using DELETE.

DELETE /api/webhooks/{integrationId}

Path Parameters

ParameterTypeDescription
integrationIdstringThe integration identifier

Response

Returns the function's response.

SDK: sdk.lambdas.delete(integrationId, data)

Build SaaS Products Without Limits.